import axiosClient from '@/config/axios';

export default {
    createAccount(account) {
        return axiosClient.post('/create/account', account)
    },
    addProfile(data) {
        return axiosClient.post(`/add/profile`, data)
    },
    getUserInfo(){
        return axiosClient.get(`get-user-info`);
    },
    importCreditReportByEmail(data){
        return axiosClient.post(`import/credit-report`,data);
    },
    makePayment(data){
        return axiosClient.post(`make/payment`,data);
    },
    makePayments(data){
        return axiosClient.post(`make/payments`,data);
    },
    getSecurityQuestion(){
        return axiosClient.get(`get/security_question`);
    },
    customerCreateAndUpdate(data){
        return axiosClient.post(`create/customer`,data);
    },
    verifyProfile(data){
        return axiosClient.post(`customer/profile-verify`,data);
    },
    getIdentityQuestion(){
        return axiosClient.get(`get/identity_question`);
    },
    postIdentityQuestion(data){
        return axiosClient.post(`post/identity_question`,data);
    },
    reportProviderValidsation(data){
        return axiosClient.post(`get/subscription`,data);
    }

}

